WAD(1)

NAME
wad - The QuakeForge Packfile Tool

SYNOPSIS
wad <command> [options] ARCHIVE FILE...

DESCRIPTION
wad is a utility for managing pack (*.wad) archives. The format used is compatible with Quake and Quake II. wad archives are a convenient way to store groups of related files. Some engines allow wad archives to be compressed internally.

COMMANDS
wad accepts the following arguments as a command. Only one command may be used at a time.

-c, --create
    Create an archive. Overwrites any contents the archive may have had.

-t, --test
    Test an archive for valid formatting.

-x, --extract
    Extract an archive. Overwrites any files in the current directory with the same names as those inside the archive.

-h, --help
    Show summary of options.

-V, --version
    Show the version of wad.

OPTIONS
wad takes the following arguments as options.

-f, --file ARCHIVE
    Use ARCHIVE as the archive filename, instead of the first non-option argument. This option is provided for compatibility with older versions of wad.

-p, --pad
    Can be useful when creating an archive. File space is padded to a 4-byte boundary, assisting in the speed of loading files from the archive. The file data itself is not changed.

-q, --quiet
    Inhibit some of wad's normal output.

-v, --verbose
    Display more output than usual.

EXIT STATUS
wad returns a zero exit status when it has completed a command successfully (without error). Otherwise, it returns a non-zero exit status.

BUGS

The program does not currently handle compression or decompression. This is planned for a future version.

The program does not currently handle extraction of individual files inside an archive. This is planned for a future version.

The program cannot modify an archive once it has been created.

AUTHORS
Bill Currie (taniwha@quakeforge.net) wrote most of the program.

Jeff Teunissen (deek@quakeforge.net) wrote the command-line interface and the documentation.

SEE ALSO
quakeforge(1), qfcc(1)